// 生成一个对象类型
export type AdListItem = {
  start_date: string
  end_date: string
  name: string
}

export type AdList = AdListItem[]

// 媒体列表
export interface MediaItem {
  createdTime: string
  creativeId: number
  isDefault: number
  mediaId: number
  mediaName: string
  phone: string
  status: number
  uid: string
  updatedTime: string
  url: string
}

// 广告位
export interface SlotsItem {
  adType: number
  catalogId: number
  createdTime: string
  creativeId: number
  height: number
  mediaId: number
  showSys: null
  showType: number
  slotId: number
  slotName: string
  status: number
  terminalType: number
  uid: number
  updatedTime: string
  width: number
}

// 创意列表
export interface OriginalityItem {
  showIntervalTime?: number
  createdTime?: string
  intervalType?: number
  creativeId?: number
  creativeName?: string
  endDate?: string
  advertiserId?: number
  mediaList?: MediaItem[] | number[] | number
  planId?: number
  slotsList?: SlotsItem[]
  startDate?: string
  status?: number
  statusDesc?: string
  timeInterval?: string
  uid?: number
  updatedTime?: string
  dates?: string[]
  slot?: number[]
  type?: number
  showType?: number
  mediaIds?: number[]
  slotIds?: number[]
}
export type OriginalityList = OriginalityItem[]

// 时间段
export interface TimeInterval {
  [key: number]: boolean
  weekName: string
  selectAll: boolean
}
export type TimeIntervalList = TimeInterval[]

// 广告主
export interface AdvertiserItem {
  advertiserId: number
  enterpriseName: string
  phone: string
  status: number
  uid: number
}
